Finish signing in with OpenStreetMap
GET
/api/v1/auth/osm/callback
const url = 'https://example.com/api/v1/auth/osm/callback';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/auth/osm/callbackCheck state, trade the code for a profile, and open a reviewer session.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Not Found
Problem
Application/problem+json body. Extension members (for example job_id) are allowed.
object
errors
Any of:
Array<object>
FieldErrorOne validation failure: where, what, and a stable machine code (never the input value).
object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
null
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
key
additional properties
any
Example
{ "type": "about:blank"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.
Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.